rcsb_types.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef char | SInt8
typedef unsigned char | UInt8
typedef short int | SInt16
typedef unsigned short int | UInt16
typedef int | SInt32
typedef unsigned int | UInt32

## Enumerations

enum | eTypeCode { eTYPE_CODE_NONE = 0 , eTYPE_CODE_INT , eTYPE_CODE_FLOAT , eTYPE_CODE_STRING , eTYPE_CODE_TEXT , eTYPE_CODE_DATETIME , eTYPE_CODE_BIGINT }

## Variables

const UInt8 | UINT32_SIZE = sizeof(UInt32)

## Typedef Documentation

## SInt16

typedef short int SInt16

## SInt32

typedef int SInt32

## SInt8

typedef char SInt8

## UInt16

typedef unsigned short int UInt16

## UInt32

typedef unsigned int UInt32

## UInt8

typedef unsigned char UInt8

## Enumeration Type Documentation

## eTypeCode

enum eTypeCode

Enumerator
eTYPE_CODE_NONE |
eTYPE_CODE_INT |
eTYPE_CODE_FLOAT |
eTYPE_CODE_STRING |
eTYPE_CODE_TEXT |
eTYPE_CODE_DATETIME |
eTYPE_CODE_BIGINT |

## Variable Documentation

## UINT32_SIZE

const UInt8 UINT32_SIZE = sizeof(UInt32)